opsiconfd (4.2.0.290-1) stable; urgency=medium

  * Improvement:  Split skip-setup "ssl" into "server_cert" and "opsi_ca"

 -- uib GmbH <info@uib.de>  Wed, 05 Oct 2022 09:29:00 +0000

opsiconfd (4.2.0.289-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Fri, 30 Sep 2022 08:13:46 +0000

opsiconfd (4.2.0.288-1) stable; urgency=medium

  * Bugfix:  session max age on admin page
  * Improvement:  Update xterm.js to 5.0.0
  * Bugfix:  Fix write_error_log
  * Improvement:  New default for --symlink-logs is true

 -- uib GmbH <info@uib.de>  Mon, 26 Sep 2022 06:57:14 +0000

opsiconfd (4.2.0.287-1) stable; urgency=medium

  * Bugfix:  fix ucs44 reboot
  * Improvement:  Update python packages
  * Improvement:  welcome page add link to webgui (if loaded)

 -- uib GmbH <info@uib.de>  Fri, 09 Sep 2022 13:11:31 +0000

opsiconfd (4.2.0.286-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Mon, 05 Sep 2022 11:45:17 +0000

opsiconfd (4.2.0.285-1) stable; urgency=medium

  * Bugfix:  Fix admin interface logout button
  * Improvement:  Update python packages
  * Bugfix:  updated opsicommon to 4.2.0.293 - fixed jsonrpc cleanup

 -- uib GmbH <info@uib.de>  Wed, 17 Aug 2022 21:50:18 +0200

opsiconfd (4.2.0.283-1) stable; urgency=medium

  * No public changes

 -- uib GmbH <info@uib.de>  Mon, 01 Aug 2022 14:52:13 +0200

opsiconfd (4.2.0.282-1) stable; urgency=medium

  * Improvement:  Allow access to /boot for hosts

 -- uib GmbH <info@uib.de>  Fri, 22 Jul 2022 13:17:27 +0200

opsiconfd (4.2.0.281-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Bugfix:  Always ignore max sessions for depot servers

 -- uib GmbH <info@uib.de>  Thu, 21 Jul 2022 20:44:10 +0000

opsiconfd (4.2.0.280-1) stable; urgency=medium

  * Improvement:  Update python-opsi (4.2.0.301 -> 4.2.0.305)
  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Mon, 18 Jul 2022 17:41:22 +0000

opsiconfd (4.2.0.279-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 14 Jul 2022 14:21:47 +0200

opsiconfd (4.2.0.278-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Wed, 13 Jul 2022 09:59:28 +0000

opsiconfd (4.2.0.277-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Tue, 12 Jul 2022 17:00:36 +0000

opsiconfd (4.2.0.276-1) stable; urgency=medium

  * Improvement:  Send WWW-Authenticate header but not on XMLHttpRequest

 -- uib GmbH <info@uib.de>  Thu, 07 Jul 2022 10:14:40 +0000

opsiconfd (4.2.0.275-1) stable; urgency=medium

  * Bugfix:  error in rest api with dict response

 -- uib GmbH <info@uib.de>  Wed, 06 Jul 2022 13:44:02 +0000

opsiconfd (4.2.0.274-1) stable; urgency=medium

  * No public changes

 -- uib GmbH <info@uib.de>  Wed, 06 Jul 2022 09:27:08 +0000

opsiconfd (4.2.0.273-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Improvement:  Use /etc/os-release instead of lsb_release

 -- uib GmbH <info@uib.de>  Tue, 05 Jul 2022 10:01:11 +0000

opsiconfd (4.2.0.272-1) stable; urgency=medium

  * Bugfix:  Fix WebDAV mount on Windows

 -- uib GmbH <info@uib.de>  Fri, 10 Jun 2022 10:17:06 +0200

opsiconfd (4.2.0.271-1) stable; urgency=medium

  * Feature:  ReverseProxy grafana websocket support

 -- uib GmbH <info@uib.de>  Wed, 08 Jun 2022 13:30:01 +0000

opsiconfd (4.2.0.270-1) stable; urgency=medium

  * Improvement:  Show login page after session timeout
  * Feature:  Implement login page

 -- uib GmbH <info@uib.de>  Wed, 08 Jun 2022 07:20:23 +0200

opsiconfd (4.2.0.269-1) stable; urgency=medium

  * Improvement:  Preserve host for grafana proxy

 -- uib GmbH <info@uib.de>  Wed, 01 Jun 2022 08:23:10 +0200

opsiconfd (4.2.0.268-1) stable; urgency=medium

  * Bugfix:  Fix grafana redirect

 -- uib GmbH <info@uib.de>  Tue, 31 May 2022 15:52:36 +0000

opsiconfd (4.2.0.267-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Tue, 31 May 2022 06:12:38 +0000

opsiconfd (4.2.0.266-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Wed, 25 May 2022 14:40:27 +0000

opsiconfd (4.2.0.265-1) stable; urgency=medium

  * Improvement:  Replace "Configed" tab with "Links"
  * Improvement:  Redirect stdin to /dev/null

 -- uib GmbH <info@uib.de>  Wed, 25 May 2022 08:02:41 +0200

opsiconfd (4.2.0.264-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Mon, 23 May 2022 11:58:22 +0200

opsiconfd (4.2.0.263-1) stable; urgency=medium

  * Improvement:  Speedup session handling

 -- uib GmbH <info@uib.de>  Fri, 20 May 2022 10:07:44 +0000

opsiconfd (4.2.0.262-1) stable; urgency=medium

  * Improvement:  Update python-opsi (4.2.0.291 -> 4.2.0.292)
  * Improvement:  Improve redis connection handling

 -- uib GmbH <info@uib.de>  Thu, 19 May 2022 13:41:23 +0000

opsiconfd (4.2.0.261-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Bugfix:  fix adminpage tab line break

 -- uib GmbH <info@uib.de>  Fri, 13 May 2022 08:48:09 +0000

opsiconfd (4.2.0.260-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Mon, 09 May 2022 17:29:35 +0000

opsiconfd (4.2.0.259-1) stable; urgency=medium

  * Feature:  Show JSONRPC method documentation in Admin interface if available
  * Improvement:  Update python packages
  * Improvement:  Add buttons to change terminal font size

 -- uib GmbH <info@uib.de>  Wed, 04 May 2022 12:11:50 +0000

opsiconfd (4.2.0.258-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Bugfix:  Fix grafana auto login / set-cookie

 -- uib GmbH <info@uib.de>  Fri, 29 Apr 2022 12:42:15 +0000

opsiconfd (4.2.0.257-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Tue, 26 Apr 2022 21:24:52 +0200

opsiconfd (4.2.0.256-1) stable; urgency=medium

  * No public changes

 -- uib GmbH <info@uib.de>  Fri, 22 Apr 2022 11:42:54 +0200

opsiconfd (4.2.0.255-1) stable; urgency=medium

  * Improvement:  config change welcome page type to str2bool

 -- uib GmbH <info@uib.de>  Wed, 20 Apr 2022 11:19:22 +0000

opsiconfd (4.2.0.254-1) stable; urgency=medium

  * Bugfix:  bug with welcome page
  * Improvement:  install addon show messages (error/success)

 -- uib GmbH <info@uib.de>  Thu, 14 Apr 2022 06:55:05 +0000

opsiconfd (4.2.0.253-1) stable; urgency=medium

  * Improvement:  new version

 -- uib GmbH <info@uib.de>  Fri, 08 Apr 2022 09:15:23 +0000

opsiconfd (4.2.0.252-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 07 Apr 2022 10:36:16 +0200

opsiconfd (4.2.0.250-1) stable; urgency=medium

  * Improvement:  update python-opsi / python-opsi-common
  * Improvement:  admin page clear license cache

 -- uib GmbH <info@uib.de>  Wed, 06 Apr 2022 08:30:04 +0000

opsiconfd (4.2.0.249-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Improvement:  Retry backend connection on master failure
  * Improvement:  add welcome page

 -- uib GmbH <info@uib.de>  Fri, 01 Apr 2022 07:14:47 +0000

opsiconfd (4.2.0.248-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Improvement:  Update cookie via websocket message
  * Improvement:  Rework admin interface log viewer
  * Improvement:  Improve layout, maximize tab
  * Feature:  Terminal resize

 -- uib GmbH <info@uib.de>  Mon, 28 Mar 2022 16:37:51 +0000

opsiconfd (4.2.0.247-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Wed, 23 Mar 2022 14:21:04 +0100

opsiconfd (4.2.0.246-1) stable; urgency=medium

  * No public changes

 -- uib GmbH <info@uib.de>  Sat, 12 Mar 2022 16:00:54 +0000

opsiconfd (4.2.0.245-1) stable; urgency=medium

  * Improvement:  Always wait for session to be stored in redis

 -- uib GmbH <info@uib.de>  Wed, 09 Mar 2022 11:54:51 +0100

opsiconfd (4.2.0.244-1) stable; urgency=medium

  * Bugfix:  Fix reading RedisTimeSeries data

 -- uib GmbH <info@uib.de>  Fri, 25 Feb 2022 12:19:58 +0100

opsiconfd (4.2.0.243-1) stable; urgency=medium

  * Improvement:  Update python-opsi-common (4.2.0.276 -> 4.2.0.277)

 -- uib GmbH <info@uib.de>  Fri, 25 Feb 2022 00:15:52 +0000

opsiconfd (4.2.0.242-1) stable; urgency=medium

  * Improvement:  Add licensing tab
  * Improvement:  Impove grafana setup
  * Improvement:  Update python-opsi-common (4.2.0.275 -> 4.2.0.276)
  * Bugfix:  Fix creating grafana dashboard user

 -- uib GmbH <info@uib.de>  Thu, 24 Feb 2022 21:41:43 +0100

opsiconfd (4.2.0.241-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 24 Feb 2022 10:06:04 +0000

opsiconfd (4.2.0.240-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Wed, 23 Feb 2022 12:54:12 +0000

opsiconfd (4.2.0.239-1) stable; urgency=medium

  * Improvement:  Add config admin-interface-terminal-shell
  * Improvement:  Use configured user shell

 -- uib GmbH <info@uib.de>  Mon, 21 Feb 2022 16:25:54 +0100

opsiconfd (4.2.0.238-1) stable; urgency=medium

  * Improvement:  Update python-opsi (4.2.0.272 -> 4.2.0.273)
  * Improvement:  Update python packages
  * Bugfix:  Fix nagios disk usage check

 -- uib GmbH <info@uib.de>  Mon, 21 Feb 2022 11:44:38 +0000

opsiconfd (4.2.0.237-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Improvement:  Improve terminal latency

 -- uib GmbH <info@uib.de>  Fri, 18 Feb 2022 15:52:01 +0000

opsiconfd (4.2.0.236-1) stable; urgency=medium

  * Feature:  Allow to disable admin interface features
  * Improvement:  Update python packages
  * Improvement:  Admin page hash links
  * Feature:  Terminal file upload
  * Feature:  Add terminal application
  * Improvement:  Log config on setup

 -- uib GmbH <info@uib.de>  Wed, 16 Feb 2022 12:51:49 +0100

opsiconfd (4.2.0.235-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Tue, 08 Feb 2022 12:15:12 +0100

opsiconfd (4.2.0.234-1) stable; urgency=medium

  * Improvement:  Updated python packages

 -- uib GmbH <info@uib.de>  Mon, 07 Feb 2022 13:13:14 +0100

opsiconfd (4.2.0.233-1) stable; urgency=medium

  * Improvement:  Show days until cert renewal in admin interface
  * Feature:  Add WebDAV link on admin interface
  * Improvement:  Config file is optional

 -- uib GmbH <info@uib.de>  Thu, 03 Feb 2022 22:54:16 +0100

opsiconfd (4.2.0.232-1) stable; urgency=medium

  * Improvement:  Update python pacakages
  * Feature:  Add central webdav share /webdav

 -- uib GmbH <info@uib.de>  Fri, 28 Jan 2022 17:31:41 +0100

opsiconfd (4.2.0.231-1) stable; urgency=medium

  * Improvement:  Recreate server cert if ca is renewed

 -- uib GmbH <info@uib.de>  Wed, 26 Jan 2022 11:40:26 +0000

opsiconfd (4.2.0.230-1) stable; urgency=medium

  * Improvement:  Check server cert against ca
  * Improvement:  Improve ssl info in admin interface
  * Improvement:  Version 4.2.0.230 running with python 3.10
  * Improvement:  Update fastapi to 0.73
  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Tue, 25 Jan 2022 15:11:45 +0100

opsiconfd (4.2.0.229-1) stable; urgency=medium

  * No public changes

 -- uib GmbH <info@uib.de>  Fri, 21 Jan 2022 10:14:02 +0100

opsiconfd (4.2.0.228-1) stable; urgency=medium

  * No public changes

 -- uib GmbH <info@uib.de>  Wed, 12 Jan 2022 18:31:52 +0100

opsiconfd (4.2.0.227-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Wed, 12 Jan 2022 12:51:23 +0100

opsiconfd (4.2.0.226-1) stable; urgency=medium

  * Improvement:  Recreate server cert if key or cert unreadable
  * Improvement:  Check server cert and key mismatch
  * Improvement:  Add lsb-release to dependencies
  * Bugfix:  Fix setting RLIMIT_NOFILE
  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Fri, 07 Jan 2022 12:35:41 +0100

opsiconfd (4.2.0.225-1) stable; urgency=medium

  * Improvement:  Log System Volume Information MKCOL error with debug level
  * Bugfix:  Make /public readonly

 -- uib GmbH <info@uib.de>  Wed, 22 Dec 2021 14:55:39 +0100

opsiconfd (4.2.0.224-1) stable; urgency=medium

  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Fri, 17 Dec 2021 18:46:56 +0100

opsiconfd (4.2.0.223-1) stable; urgency=medium

  * Feature:  adminpage unlock all products
  * Feature:  adminpage unlock products
  * Bugfix:  monitoring product status -d all
  * Feature:  adminpage show locked products

 -- uib GmbH <info@uib.de>  Wed, 15 Dec 2021 13:11:56 +0000

opsiconfd (4.2.0.222-1) stable; urgency=medium

  * Bugfix:  Fix grafana / session problem

 -- uib GmbH <info@uib.de>  Wed, 15 Dec 2021 09:59:42 +0100

opsiconfd (4.2.0.221-1) stable; urgency=medium

  * Improvement:  Disable max session per ip for depot servers
  * Bugfix:  Fix webdav handling of special characters in filenames

 -- uib GmbH <info@uib.de>  Mon, 13 Dec 2021 09:58:58 +0100

opsiconfd (4.2.0.220-1) stable; urgency=medium

  * Improvement:  monitoring test if depot exists and if clients match

 -- uib GmbH <info@uib.de>  Fri, 10 Dec 2021 08:36:27 +0000

opsiconfd (4.2.0.219-1) stable; urgency=medium

  * Bugfix:  Fix login for recent grafana version

 -- uib GmbH <info@uib.de>  Fri, 03 Dec 2021 11:44:32 +0100

opsiconfd (4.2.0.218-1) stable; urgency=medium

  * Improvement:  Update opsi packages

 -- uib GmbH <info@uib.de>  Wed, 01 Dec 2021 13:37:47 +0000

opsiconfd (4.2.0.217-1) stable; urgency=medium

  * No public changes

 -- uib GmbH <info@uib.de>  Fri, 26 Nov 2021 10:28:37 +0100

opsiconfd (4.2.0.216-1) stable; urgency=medium

  * Improvement:  Log rotation for client logs
  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 25 Nov 2021 12:09:45 +0100

opsiconfd (4.2.0.215-1) stable; urgency=medium

  * Bugfix:  Skip server certificate check if ssl in skip-setup

 -- uib GmbH <info@uib.de>  Wed, 24 Nov 2021 10:05:48 +0100

opsiconfd (4.2.0.214-1) stable; urgency=medium

  * Bugfix:  added postinst fix for SSL library incompatibility of SLES15-X

 -- uib GmbH <info@uib.de>  Thu, 18 Nov 2021 15:51:04 +0000

opsiconfd (4.2.0.213-1) stable; urgency=medium

  * Bugfix:  Update python-opsi to fix onetime password auth

 -- uib GmbH <info@uib.de>  Mon, 15 Nov 2021 18:24:06 +0100

opsiconfd (4.2.0.212-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Mon, 15 Nov 2021 11:43:00 +0100

opsiconfd (4.2.0.211-1) stable; urgency=medium

  * Bugfix:  Fix addon reload

 -- uib GmbH <info@uib.de>  Wed, 10 Nov 2021 15:36:22 +0100

opsiconfd (4.2.0.210-1) stable; urgency=medium

  * Feature:  List and install addons via admin interface

 -- uib GmbH <info@uib.de>  Mon, 08 Nov 2021 14:38:19 +0100

opsiconfd (4.2.0.208-1) stable; urgency=medium

  * Feature:  Show sessions on admin page
  * Feature:  Show routes on info page

 -- uib GmbH <info@uib.de>  Fri, 29 Oct 2021 20:34:25 +0200

opsiconfd (4.2.0.207-1) stable; urgency=medium

  * Improvement:  updated python-opsi to 4.2.0.247 (minor cleanup)
  * Feature:  Reload button on admininterface
  * Feature:  Implement AddonManager

 -- uib GmbH <info@uib.de>  Mon, 11 Oct 2021 11:33:26 +0200

opsiconfd (4.2.0.206-1) stable; urgency=medium

  * Bugfix:  Fix ipv6 client session handling

 -- uib GmbH <info@uib.de>  Wed, 06 Oct 2021 11:15:37 +0200

opsiconfd (4.2.0.205-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Fri, 01 Oct 2021 12:22:54 +0200

opsiconfd (4.2.0.204-1) stable; urgency=medium

  * Improvement:  add debug option: rpc error log

 -- uib GmbH <info@uib.de>  Tue, 28 Sep 2021 08:11:57 +0000

opsiconfd (4.2.0.203-1) stable; urgency=medium

  * Bugfix:  arm64 pam workaround
  * Bugfix:  logger reload (stderr,file)

 -- uib GmbH <info@uib.de>  Wed, 22 Sep 2021 13:21:55 +0000

opsiconfd (4.2.0.202-1) stable; urgency=medium

  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Tue, 21 Sep 2021 13:44:12 +0000

opsiconfd (4.2.0.201-1) stable; urgency=medium

  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Tue, 21 Sep 2021 10:32:02 +0000

opsiconfd (4.2.0.200-1) stable; urgency=medium

  * Improvement:  add arm64 build

 -- uib GmbH <info@uib.de>  Mon, 20 Sep 2021 10:00:23 +0200

opsiconfd (4.2.0.199-1) stable; urgency=medium

  * Improvement:  New defaults for session-lifetime and max-session-per-ip
  * Improvement:  Do not keep zsync2 sessions

 -- uib GmbH <info@uib.de>  Thu, 16 Sep 2021 16:28:32 +0200

opsiconfd (4.2.0.198-1) stable; urgency=medium

  * No public changes

 -- uib GmbH <info@uib.de>  Thu, 16 Sep 2021 10:45:42 +0200

opsiconfd (4.2.0.197-1) stable; urgency=medium

  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Thu, 16 Sep 2021 09:21:42 +0200

opsiconfd (4.2.0.196-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Bugfix:  Delete session on backend_exit
  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Wed, 15 Sep 2021 15:31:25 +0200

opsiconfd (4.2.0.195-1) stable; urgency=medium

  * Improvement:  Update python-opsi
  * Bugfix:  Check if log file exists before rotate
  * Improvement:  Answer with jsonrpc 2.0 response if client sends jsonrpc 2.0 request

 -- uib GmbH <info@uib.de>  Thu, 02 Sep 2021 15:39:27 +0200

opsiconfd (4.2.0.194-1) stable; urgency=medium

  * Improvement:  Follow jsonrpc 2.0 spec
  * Improvement:  Update python packages
  * Feature:  WebDAV ignore case filesystem access on depot

 -- uib GmbH <info@uib.de>  Fri, 27 Aug 2021 13:23:37 +0200

opsiconfd (4.2.0.193-1) stable; urgency=medium

  * Feature:  Show username
  * Feature:  Logout button
  * Improvement:  Require file admin rights to access depot
  * Feature:  Show Server-Timinig on JSONRPC-Interface page

 -- uib GmbH <info@uib.de>  Tue, 24 Aug 2021 15:49:34 +0200

opsiconfd (4.2.0.192-1) stable; urgency=medium

  * Bugfix:  problem with file logging

 -- uib GmbH <info@uib.de>  Tue, 10 Aug 2021 12:08:21 +0000

opsiconfd (4.2.0.190-1) stable; urgency=medium

  * Bugfix:  Fix pam_unix error on ubuntu 20.04

 -- uib GmbH <info@uib.de>  Fri, 06 Aug 2021 11:09:48 +0200

opsiconfd (4.2.0.189-1) stable; urgency=medium

  * Improvement:  Workaround for pam issues on SLES15 SP3

 -- uib GmbH <info@uib.de>  Mon, 02 Aug 2021 16:57:32 +0200

opsiconfd (4.2.0.188-1) stable; urgency=medium

  * Improvement:  OBS: build ARM packages

 -- uib GmbH <info@uib.de>  Fri, 23 Jul 2021 11:53:37 +0000

opsiconfd (4.2.0.187-1) stable; urgency=medium

  * Bugfix:  update python opsi - fix mysql connection charset

 -- uib GmbH <info@uib.de>  Thu, 22 Jul 2021 13:16:17 +0000

opsiconfd (4.2.0.186-1) stable; urgency=medium

  * Improvement:  update python-opsi

 -- uib GmbH <info@uib.de>  Tue, 20 Jul 2021 11:25:17 +0000

opsiconfd (4.2.0.185-1) stable; urgency=medium

  * Bugfix:  Fix pam authentication on debian 11

 -- uib GmbH <info@uib.de>  Fri, 16 Jul 2021 11:38:47 +0200

opsiconfd (4.2.0.184-1) stable; urgency=medium

  * Bugfix:  Fix logging issues in case of worker errors
  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 15 Jul 2021 15:39:08 +0200

opsiconfd (4.2.0.183-1) stable; urgency=medium

  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Tue, 06 Jul 2021 16:45:39 +0000

opsiconfd (4.2.0.181-1) stable; urgency=medium

  * Improvement:  Update python-opsi
  * Improvement:  Improve help text

 -- uib GmbH <info@uib.de>  Fri, 25 Jun 2021 13:20:38 +0200

opsiconfd (4.2.0.180-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Feature:  Allow client certificate creation

 -- uib GmbH <info@uib.de>  Fri, 18 Jun 2021 15:39:43 +0200

opsiconfd (4.2.0.179-1) stable; urgency=medium

  * Improvement:  Removed isDefault flag from opsiconfd grafana datasource

 -- uib GmbH <info@uib.de>  Thu, 17 Jun 2021 07:27:56 +0200

opsiconfd (4.2.0.178-1) stable; urgency=medium

  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Mon, 14 Jun 2021 20:19:50 +0200

opsiconfd (4.2.0.177-1) stable; urgency=medium

  * Improvement:  Update python-opsi
  * Feature:  Add config ssl-trusted-certs
  * Feature:  Add config grafana-verify-cert

 -- uib GmbH <info@uib.de>  Fri, 11 Jun 2021 14:53:53 +0200

opsiconfd (4.2.0.176-1) stable; urgency=medium

  * Improvement:  Process /var/lib/opsi/public in setup
  * Improvement:  Do not verify grafana ssl cert

 -- uib GmbH <info@uib.de>  Fri, 11 Jun 2021 10:48:50 +0200

opsiconfd (4.2.0.175-1) stable; urgency=medium

  * Improvement:  Auto upgrade grafana plugin grafana-simple-json-datasource
  * Feature:  add new public webdav share (/var/lib/opsi/public)
  * Improvement:  Redirect /admin/grafana only
  * Improvement:  Add favicon.ico
  * Improvement:  Changed WsgiDAV dir browser configuration

 -- uib GmbH <info@uib.de>  Thu, 10 Jun 2021 11:21:35 +0200

opsiconfd (4.2.0.174-1) stable; urgency=medium

  * Bugfix:  fix postinst add run-as-user to config
  * Bugfix:  Do not open multiple log websockets
  * Improvement:  Update python-opsi
  * Bugfix:  Fix maxmimum number of log records in redis streams
  * Feature:  Get number of log records in redis

 -- uib GmbH <info@uib.de>  Mon, 07 Jun 2021 11:53:26 +0000

opsiconfd (4.2.0.173-1) stable; urgency=medium

  * Improvement:  Deactivating client panel because it slows down grafana a lot in big environments

 -- uib GmbH <info@uib.de>  Mon, 31 May 2021 10:44:48 +0200

opsiconfd (4.2.0.172-1) stable; urgency=medium

  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Thu, 27 May 2021 15:54:01 +0200

opsiconfd (4.2.0.171-1) stable; urgency=medium

  * Improvement:  Do not return localdomain in getDomain()
  * Bugfix:  Fix monitoring user authentication
  * Improvement:  Add node_name to redis log key
  * Improvement:  Update python-opsi
  * Bugfix:  Use session-lifetime from config
  * Improvement:  Always use the same server fqdn from config
  * Feature:  Show ca and cert expiry on status page
  * Feature:  Warn if common name of CA changes
  * Feature:  Start webgui application
  * Improvement:  Add missing newline in config file
  * Feature:  Add configuration --ssl-ca-subject-cn
  * Improvement:  Implement force-stop
  * Feature:  Add config --worker-stop-timeout and it for systemd
  * Feature:  Limitation of the log records in redis streams
  * Improvement:  Improve zeroconf registration
  * Improvement:  Refactor zeroconf
  * Feature:  Run mysql update in setup tasks
  * Bugfix:  Fix monitoring path
  * Feature:  Monitor redis memory usage
  * Bugfix:  check disk if hostid != fqdn
  * Bugfix:  some fixes monitoring
  * Improvement:  Update python opsi
  * Feature:  Add actions "status" and "restart"
  * Improvement:  Show certificate serail number on admin interface and remove subjectKeyIdentifier
  * Feature:  Auto recreate server cert on runtime
  * Improvement:  Cleanup file headers
  * Feature:  adminpage: show num server/clients
  * Bugfix:  Fix opsiconfd reload with running log-viewer
  * Improvement:  Add ipv6 addresses to cert alternative names
  * Bugfix:  Determine correct arbiter pid
  * Improvement:  Check if another opsiconfd arbiter is running
  * Improvement:  Add opsi CA download link on info page
  * Improvement:  adminpage: mv config -> info; add ssl info
  * Bugfix:  Fix worker reloading
  * Improvement:  Install opsi ca into system store
  * Improvement:  Improve help text for --ssl-ciphers
  * Feature:  Log warning if client calls deprecated method
  * Bugfix:  Fix redis reconnect
  * Improvement:  Set default executor-workers to 10
  * Bugfix:  Fix ipv6 listen with one worker
  * Improvement:  Improve worker memory usage
  * Improvement:  Do not use libjemalloc by default
  * Improvement:  Use jemalloc by default
  * Improvement:  If jemalloc is configured but not available, log an error but continue
  * Improvement:  Measure worker memory usage over an interval of a hour
  * Feature:  Set default executor workers to 8
  * Improvement:  Always use the supervisor
  * Improvement:  Improve log viewer
  * Feature:  New config --restart-worker-mem to restart workers with high mem usage
  * Feature:  Implement a worker supervisor
  * Feature:  Memory profiling with objgraph
  * Bugfix:  Add jsonrpc metrics to retention
  * Bugfix:  Fix rentention aggregation
  * Feature:  Implement opsiconfd log-viewer
  * Improvement:  ca key file only accessible by root
  * Improvement:  Add full context on logging
  * Feature:  Change ssl handling and defaults
  * Improvement:  new config parameter grafana-data-source-url
  * Improvement:  Lower memory usage
  * Bugfix:  Fix file permissions of dhcpd.conf
  * Feature:  Allow to run opsiconfd with jemalloc
  * Improvement:  Align timeseries timestamps for grafana 7.4 stacking
  * Improvement:  Change ssl file permissions
  * Improvement:  Create group shadow, PAM libcrypto workaround for red hat 8
  * Feature:  Store CA and server key encrypted
  * Improvement:  Store CA key encrypted
  * Feature:  admininterface memory profiler
  * Improvement:  Speed up redis time series using redis pipe and ON_DUPLICATE SUM
  * Feature:  Cleanup log file dir
  * Improvement:  Rework metrics storage
  * Bugfix:  Limit memory usage on WebDAV file sending
  * Bugfix:  Fix avg_http_response_bytes statistics
  * Bugfix:  Fix closing of log files
  * Feature:  Export workbench via WebDAV, depot rw
  * Improvement:  WebDAV speedup by wsgi zero-copy
  * Bugfix:  Add missing content-length header
  * Feature:  Publish opsi config service with zeroconf
  * Improvement:  Sort config dictionary
  * Feature:  Implement msgpack-rpc
  * Improvement:  Improve config file migration and defaults
  * Feature:  Allow to download opsi ca
  * Feature:  Reverse proxy support
  * Improvement:  Improved ipv6 handling
  * Improvement:  Rework admin page
  * Improvement:  grafana autologin
  * Bugfix:  Correct date in log viewer
  * Feature:  Add subject alternative names and ips to cert
  * Feature:  opsiconfd devcontainer
  * Improvement:  Correct rights on dhcpd.conf
  * Improvement:  Remove remote-fs.target from Requires in unit file
  * Improvement:  do not depend on remote-fs.target
  * Improvement:  Allow systemctl daemon-reload to fail
  * Improvement:  start opsiconfd after mysql, mariadb and redis if installed
  * Improvement:  Set permissions on ssl dir
  * Feature:  Create and keep opsi CA, check certificate expiry
  * Feature:  jsonrpc method getProductOrdering now cached in redis
  * Feature:  allow to configure setup tasks to skip
  * Feature:  SSL cipher suites configurable
  * Feature:  opsiconfd monitoring
  * Improvement:  speed up redis session handling
  * Feature:  Log Server-Timing with info level
  * Bugfix:  fix grafana refresh interval
  * Improvement:  Change default grafana dashboard refresh interval to 60s
  * Improvement:  Log warning if no available connections in redis connection pool
  * Improvement:  change defaults for max-auth-failures and auth-failures-interval
  * Feature:  deliver correct client domain not default domain with getDomain
  * Feature:  implement lz4 compression / decompression
  * Feature:  implement zlib and gzip compression of jsonrpc responses
  * Feature:  Allow to specify networks which are allowed to connect
  * Improvement:  init client backend on worker start to speed up first request
  * Improvement:  speed up session handling
  * Improvement:  set default log format in log viewer
  * Improvement:  always initalize backends on --setup
  * Improvement:  speed up big webdav uploads by 25x
  * Improvement:  Log a warning if a worker disappears
  * Bugfix:  update python-opsi to fix librsync segementation faults on debian 10
  * Improvement:  change default for grafana-external-url
  * Improvement:  update python-opsi, sqlalchemy and opsi-dev-tools
  * Bugfix:  fix file permissions on setup
  * Improvement:  remove obsolete /etc/logrotate.d/opsiconfd in postinst
  * Bugfix:  fix rpc backend_exit
  * Improvement:  always setup opsiconfd user and groups on startup
  * Feature:  Update ip address and lastseen in backend
  * Feature:  Allow to filter logs with --log-filter
  * Improvement:  rpc interface moved to admin page
  * Feature:  redis interface on adminpage
  * Feature:  auto setup grafana on startup
  * Feature:  Show defaults in --help output
  * Feature:  adminpage show list of blocked clients / sort RPC table
  * Feature:  admininterface show rpc info
  * Bugfix:  Fix websockets patch
  * Bugfix:  Assert that functions to patch are unchanged
  * Feature:  Send correct Server header
  * Bugfix:  Update to python-opsi 4.2.0.35 which fixes usage of opsipxeconfd backend
  * Feature:  opsiconfd admin web interface
  * Bugfix:  Fix websocket error responses
  * Feature:  Improved signal handling for single process environments
  * Feature:  opsiconfd will now reload config file on SIGHUP
  * Bugfix:  Fix timezone handling for metrics
  * Bugfix:  fix cookie header parsing

 -- uib GmbH <info@uib.de>  Fri, 21 May 2021 14:50:04 +0200

